Show / Hide Table of Contents

# AsyncApplicationQuitTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncApplicationQuitTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncApplicationQuitTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnApplicationQuitAsyncHandler() |
GetOnApplicationQuitAsyncHandler(CancellationToken) |
OnApplicationQuitAsync() |
OnApplicationQuitAsync(CancellationToken) |

### Methods

#### GetOnApplicationQuitAsyncHandler()

    public IAsyncOnApplicationQuitHandler GetOnApplicationQuitAsyncHandler()

##### Returns

IAsyncOnApplicationQuitHandler

#### GetOnApplicationQuitAsyncHandler(CancellationToken)

    public IAsyncOnApplicationQuitHandler GetOnApplicationQuitAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnApplicationQuitHandler

#### OnApplicationQuitAsync()

    public UniTask OnApplicationQuitAsync()

##### Returns

UniTask

#### OnApplicationQuitAsync(CancellationToken)

    public UniTask OnApplicationQuitAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>